REFORM-SETUP-ENCRYPTED-NVME(8)

NAME
reform-setup-encrypted-nvme - setup encrypted SSD

SYNOPSIS
reform-setup-encrypted-nvme [--help] [DEVICE_PATH]

DESCRIPTION
Set up the SSD with LUKS encryption containing LVM2 volumes for swap and the rootfs. Offers to run reform-migrate and reform-boot-config to set up the initramfs in /boot to load the rootfs from the encrypted SSD.

OPTIONS

--help
    Display this help and exit.

--force
    Avoid user interaction: run reform-migrate and put /boot on eMMC if allowed. Requires passphrase on standard input.

  Arguments:

[DEVICE_PATH]
    If provided, path to SSD device, or a disk image file to loop into this role. If left empty, a model-specific default is used.